Commit 15ebbc5871e930e33b9b77989f9e9e119440fff4

Thomas de Grivel 2023-02-16T01:50:41

wip shpkg_ci

diff --git a/share/shpkg/shpkg.subr b/share/shpkg/shpkg.subr
index e929eb5..d0d11ab 100644
--- a/share/shpkg/shpkg.subr
+++ b/share/shpkg/shpkg.subr
@@ -407,12 +407,15 @@ shpkg_build () {
         if [ "x${SHPKG_REPO_DIR}" = "x" ]; then
             err 1 "shpkg_build: unknown repo: $SHPKG_REPO"
         fi
-        verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" running
         SHPKG_REPO_OBJ_DIR="${SHPKG_OBJ_DIR}/${SHPKG_REPO_DIR}"
         SHPKG_REPO_SRC_DIR="${SHPKG_SRC_DIR}/${SHPKG_REPO_DIR}"
         SHPKG_REPO_VERSION="$(shpkg_version "${SHPKG_REPO}")"
 	if shpkg__tag_is_absent build-done; then
-	    ( verbose 2 shpkg_configure "${SHPKG_REPO}"; )
+            verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" running
+	    ( if ! verbose 2 shpkg_configure "${SHPKG_REPO}"; then
+                  verbose 2 shpkg_ci_status "${SHPKG_REPO}.build.status" ko
+                  false
+              fi; )
             ( verbose 2 shpkg_tag_log "${SHPKG_REPO}.build.log"; )
             SHPKG_REPO_VERSION="$(shpkg_version "${SHPKG_REPO}")"
             if [ -f "${SHPKG_REPO_SRC_DIR}/Makefile" ]; then